import t from "../../../../inherits-browser/dist/index.es.mjs";
import n from "../../command/CommandInterceptor.mjs";
function r(e, m) {
  m.invoke(n, this), this.executed(function(o) {
    var t2 = o.context;
    t2.rootElement ? e.setRootElement(t2.rootElement) : t2.rootElement = e.getRootElement();
  }), this.revert(function(o) {
    var t2 = o.context;
    t2.rootElement && e.setRootElement(t2.rootElement);
  });
}
t(r, n);
r.$inject = ["canvas", "injector"];
export {
  r as default
};
